## firmware-free 20200122

=== carl9170fw/toolchain/Makefile ===
BINUTILS_VER=2.22
BINUTILS_URL=http://mirrors.kernel.org/gnu/binutils/binutils-$(BINUTILS_VER).tar.bz2
BINUTILS_TAR=binutils-$(BINUTILS_VER).tar.bz2

NEWLIB_VER=1.20.0
NEWLIB_URL=ftp://sources.redhat.com/pub/newlib/newlib-$(NEWLIB_VER).tar.gz
NEWLIB_TAR=newlib-$(NEWLIB_VER).tar.gz

GCC_VER=4.7.1
GCC_URL=http://mirrors.kernel.org/gnu/gcc/gcc-$(GCC_VER)/gcc-$(GCC_VER).tar.bz2
GCC_TAR=gcc-$(GCC_VER).tar.bz2

BASEDIR=$(shell pwd)

define checksum
@if grep -q '  $(subst .,\.,$(1))$$' SHA256SUMS; then			\
	grep '  $(subst .,\.,$(1))$$' SHA256SUMS | sha256sum -c;	\
else									\
	echo "WARNING: no checksum defined for $(1)";			\
fi
endef

all: gcc

src/$(BINUTILS_TAR):
	wget -P src $(BINUTILS_URL)
	$(call checksum,$@)

src/$(NEWLIB_TAR):
	wget -P src $(NEWLIB_URL)
	$(call checksum,$@)

src/$(GCC_TAR):
	wget -P src $(GCC_URL)
	$(call checksum,$@)

src/binutils-$(BINUTILS_VER): src/$(BINUTILS_TAR)
	tar -C src -xjf $<

src/newlib-$(NEWLIB_VER): src/$(NEWLIB_TAR)
	tar -C src -xzf $<

src/gcc-$(GCC_VER): src/$(GCC_TAR) src/newlib-$(NEWLIB_VER)
	tar -C src -xjf $<
	ln -s $(BASEDIR)/src/newlib-$(NEWLIB_VER)/newlib $@
	ln -s $(BASEDIR)/src/newlib-$(NEWLIB_VER)/libgloss $@

binutils: src/binutils-$(BINUTILS_VER)
	mkdir -p build/binutils
	cd build/binutils; \
	$(BASEDIR)/$</configure --target=sh-elf --prefix=$(BASEDIR)/inst; \
	$(MAKE) -j3; \
	$(MAKE) install

gcc: src/gcc-$(GCC_VER) binutils
	mkdir -p build/gcc
	cd build/gcc; \
	$(BASEDIR)/$</configure --target=sh-elf --prefix=$(BASEDIR)/inst -enable-languages=c --without-pkgversion --with-newlib; \
	$(MAKE) -j3; \
	$(MAKE) install

clean:
	rm -rf build inst

distclean: clean
	rm -rf src

## firmware-free 3

=== debian/changelog ===
firmware-free (3) unstable; urgency=low

  * Update to linux-support 2.6.38-1

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 16 Mar 2011 13:23:44 +0000

firmware-free (3~experimental) experimental; urgency=low

  * Initial release.  Replaces firmware-linux-free built from the
    linux-2.6 source package.

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 12 Mar 2011 05:08:41 +0000

=== debian/control ===
Source: firmware-free
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, Frederik Schüler <fs@debian.org>, Steve Langasek <vorlon@debian.org>, dann frazier <dannf@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
Standards-Version: 3.8.1
Build-Depends: debhelper (>= 5), linux-support-2.6.38-1
Vcs-Svn: svn://svn.debian.org/kernel/dists/trunk/firmware-free/
Vcs-Browser: http://svn.debian.org/wsvn/kernel/dists/trunk/firmware-free/

Package: firmware-linux-free
Architecture: all
Suggests: initramfs-tools, linux-image
Replaces: 
Conflicts: 
Description: Binary firmware for various drivers in the Linux kernel
 This package contains firmware which was previously included in the Linux
 kernel and which is compliant with the Debian Free Software Guidelines.
 .
 Most firmware previously included in the Linux kernel is non-free and has
 been moved to the firmware-linux-nonfree package.
 .
 Contents:
  * AV7110 DVB card firmware (av7110/bootcode.bin)
  * 3Com Megahertz 3CCFEM556 CIS fix (cis/3CCFEM556.cis)
  * 3Com Megahertz 3CXEM556 CIS fix (cis/3CXEM556.cis)
  * Advantech COMpad-32/85 CIS fix (cis/COMpad2.cis)
  * Advantech COMpad-32/85B-4 CIS fix (cis/COMpad4.cis)
  * NSC DP83903 PCMCIA Ethernet card CIS fix (cis/DP83903.cis)
  * Allied Telesis LA-PCM CIS fix (cis/LA-PCM.cis)
  * MultiTech PCMCIA 56K DataFax CIS fix (cis/MT5634ZLX.cis)
  * NDC PCMCIA Ethernet card CIS fix (cis/NE2K.cis)
  * EN2218-LAN/MODEM CIS fix (cis/PCMLM28.cis)
  * PreMax PE-200 CIS fix (cis/PE-200.cis)
  * LanPro EP-4000A CIS fix (cis/PE520.cis)
  * RS-COM 2P CIS fix (cis/RS-COM-2P.cis)
  * Sierra Aircard 555 CIS fix (cis/SW_555_SER.cis)
  * Sierra Wireless AC710/AC750 CIS fix (cis/SW_7xx_SER.cis)
  * Sierra Wireless AC850/AC860 CIS fix (cis/SW_8xx_SER.cis)
  * Tamarack PCMCIA Ethernet card CIS fix (cis/tamarack.cis)
  * Atari Falcon DSP56001 firmware (dsp56k/bootstrap.bin)
  * Keyspan USA-19 firmware (keyspan_pda/keyspan_pda.fw)
  * Xircom PGSDB9/Entrega PortGear firmware (keyspan_pda/xircom_pgs.fw)
  * USB-DUX firmware (usbdux_firmware.bin)
  * USB-DUXfast firmware (usbduxfast_firmware.bin)
Homepage: http://git.kernel.org/?p=linux/kernel/git/dwmw2/linux-firmware.git

=== debian/rules ===
#!/usr/bin/make -f
SHELL := sh -e

CONTROL_FILES += debian/bin/gencontrol.py defines $(wildcard */defines) $(wildcard */copyright) $(wildcard */LICENSE*)

include debian/rules.defs
include /usr/src/linux-support-$(KERNELVERSION)/modules/rules.include

GENCONTROL = debian/bin/gencontrol.py $(KERNELVERSION)

maintainerclean:
	-rm debian/control debian/control.md5sum debian/rules.gen
	-rm debian/*.copyright
	-rm debian/*.hook.*
	-rm debian/*.preinst
	-rm debian/*.postinst
	-rm debian/*.templates

## firmware-free 3.2~bpo60+1

=== debian/changelog ===
firmware-free (3.2~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze
    - Update to linux-support 3.2.0-0.bpo.4

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 18 Mar 2014 14:38:46 +0000

firmware-free (3.2) unstable; urgency=low

  * Update to linux-support 3.2.0-4
  * Add Atheros AR9170 free firmware for use with carl9170 (Closes: #635840)

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 14 Jan 2013 22:02:47 +0000

firmware-free (3.1) unstable; urgency=low

  * Update to linux-support 3.2.0-2
    - Remove build-dependency, as this is only used when preparing the
      source package (Closes: #629730)
  * Add isci parameter blob
  * Add makefiles and scripts for av7110, dsp56k and keyspan_pda firmware
  * debian/control: Set Multi-Arch: foreign to allow for installation
    of foreign linux-image packages
  * Add firmware for ITL USB-DUXsigma
  * Set the upstream homepage URL to the current gitweb page for
    linux-firmware.git
  * Update initramfs on installation, since it may need to include the
    firmware for 3c574_cs, 3c589_cs, isci or pcnet_cs (Closes: #555949)

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 17 Jun 2012 04:19:31 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>, Frederik Schüler <fs@debian.org>, Steve Langasek <vorlon@debian.org>, dann frazier <dannf@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
 Standards-Version: 3.8.1
-Build-Depends: debhelper (>= 5), linux-support-2.6.38-1
+Build-Depends: debhelper (>= 5)
 Vcs-Svn: svn://svn.debian.org/kernel/dists/trunk/firmware-free/
 Vcs-Browser: http://svn.debian.org/wsvn/kernel/dists/trunk/firmware-free/
 
@@ -22,6 +22,7 @@
  .
  Contents:
   * AV7110 DVB card firmware (av7110/bootcode.bin)
+  * Atheros AR9170 free firmware for use with carl9170 (carl9170-1.fw)
   * 3Com Megahertz 3CCFEM556 CIS fix (cis/3CCFEM556.cis)
   * 3Com Megahertz 3CXEM556 CIS fix (cis/3CXEM556.cis)
   * Advantech COMpad-32/85 CIS fix (cis/COMpad2.cis)
@@ -39,9 +40,12 @@
   * Sierra Wireless AC850/AC860 CIS fix (cis/SW_8xx_SER.cis)
   * Tamarack PCMCIA Ethernet card CIS fix (cis/tamarack.cis)
   * Atari Falcon DSP56001 firmware (dsp56k/bootstrap.bin)
+  * Intel C600 SAS/SATA controller default parameters, version 1.3 (isci/isci_firmware.bin)
   * Keyspan USA-19 firmware (keyspan_pda/keyspan_pda.fw)
   * Xircom PGSDB9/Entrega PortGear firmware (keyspan_pda/xircom_pgs.fw)
   * USB-DUX firmware (usbdux_firmware.bin)
   * USB-DUXfast firmware (usbduxfast_firmware.bin)
-Homepage: http://git.kernel.org/?p=linux/kernel/git/dwmw2/linux-firmware.git
+  * USB-DUXsigma firmware (usbduxsigma_firmware.bin)
+Multi-Arch: ${firmware:Multi-Arch}
+Homepage: http://git.kernel.org/?p=linux/kernel/git/firmware/linux-firmware.git

## firmware-free 3.3

=== debian/changelog ===
firmware-free (3.3) unstable; urgency=medium

  * To allow auto-removal of linux-image-* packages, do not suggest
    virtual package linux-image (Closes: #724563)
  * Update to linux-support 3.13-1
  * Fix wrapping of file lists in package description (Closes: #677970)

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 22 Feb 2014 16:45:33 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: firmware-linux-free
 Architecture: all
-Suggests: initramfs-tools, linux-image
+Suggests: initramfs-tools
 Replaces: 
 Conflicts: 
 Description: Binary firmware for various drivers in the Linux kernel
@@ -40,7 +40,8 @@
   * Sierra Wireless AC850/AC860 CIS fix (cis/SW_8xx_SER.cis)
   * Tamarack PCMCIA Ethernet card CIS fix (cis/tamarack.cis)
   * Atari Falcon DSP56001 firmware (dsp56k/bootstrap.bin)
-  * Intel C600 SAS/SATA controller default parameters, version 1.3 (isci/isci_firmware.bin)
+  * Intel C600 SAS/SATA controller default parameters, version 1.3
+    (isci/isci_firmware.bin)
   * Keyspan USA-19 firmware (keyspan_pda/keyspan_pda.fw)
   * Xircom PGSDB9/Entrega PortGear firmware (keyspan_pda/xircom_pgs.fw)
   * USB-DUX firmware (usbdux_firmware.bin)

## firmware-free 3.4

=== debian/changelog ===
firmware-free (3.4) unstable; urgency=medium

  * Suppress lintian warning due to unusual location of copyright file
  * debian/control: Allow debhelper to add dependencies through
    ${misc:Depends}
  * debian/control: Update Standards-Version to 3.9.5; no changes needed
  * Adjust for migration to git:
    - Add .gitignore file
    - debian/control: Update Vcs-* fields
  * Change source format to 3.0 (native) so that .git directory is excluded
    by default
  * Update to linux-support 4.1.0-2

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 16 Aug 2015 17:49:00 +0200

=== debian/rules ===
#!/usr/bin/make -f
SHELL := sh -e

CONTROL_FILES += debian/bin/gencontrol.py defines $(wildcard */defines) $(wildcard */copyright) $(wildcard */LICENSE*)

include debian/rules.defs

GENCONTROL = debian/bin/gencontrol.py

__BINNMU := $(shell dpkg-parsechangelog | sed -rne 's,^Version: .*\+b([0-9]+)$$,\1,p')

# Nothing to build
build-indep build-arch build:

clean: debian/control
	dh_testdir
	dh_clean

binary-indep:
	dh_testdir
	$(MAKE) -f debian/rules.gen binary-indep

binary-arch:

binary:	binary-indep binary-arch

CONTROL_FILES += debian/changelog $(wildcard debian/templates/control.*) 
debian/control debian/rules.gen: $(GENCONTROL) $(CONTROL_FILES)
ifeq ($(wildcard debian/control.md5sum),)
	$(MAKE) -f debian/rules debian/control-real
else ifeq ($(__BINNMU),)
	md5sum --check debian/control.md5sum --status || \
		$(MAKE) -f debian/rules debian/control-real
else
	grep -v debian/changelog debian/control.md5sum | md5sum --check - --status || \
		$(MAKE) -f debian/rules debian/control-real
endif

debian/control-real: $(GENCONTROL) $(CONTROL_FILES)
	$(GENCONTROL) /usr/src/linux-support-$(KERNELVERSION)
	md5sum $^ > debian/control.md5sum
	@echo
	@echo This target is made to fail intentionally, to make sure
	@echo that it is NEVER run during the automated build. Please
	@echo ignore the following error, the debian/control file has
	@echo been generated SUCCESSFULLY.
	@echo
	exit 1

maintainerclean:
	-rm debian/control debian/control.md5sum debian/rules.gen
	-rm debian/*.copyright
	-rm debian/*.hook.*
	-rm debian/*.preinst
	-rm debian/*.postinst
	-rm debian/*.templates

.PHONY: clean build-indep build-arch build binary-indep binary-arch binary

## firmware-free 3.4%2B9.0trisquel3

=== debian/changelog ===
firmware-free (3.4+9.0trisquel3) etiona; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 02 Nov 2019 11:32:40 +0000

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,16 @@
 Priority: optional
 Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>, Frederik Schüler <fs@debian.org>, Steve Langasek <vorlon@debian.org>, dann frazier <dannf@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
-Standards-Version: 3.8.1
-Build-Depends: debhelper (>= 5)
-Vcs-Svn: svn://svn.debian.org/kernel/dists/trunk/firmware-free/
-Vcs-Browser: http://svn.debian.org/wsvn/kernel/dists/trunk/firmware-free/
+Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 5), python-configparser
+Vcs-Git: https://anonscm.debian.org/git/kernel/firmware-free.git
+Vcs-Browser: https://anonscm.debian.org/cgit/kernel/firmware-free.git
 
 Package: firmware-linux-free
 Architecture: all
+Depends: ${misc:Depends}
 Suggests: initramfs-tools
+Provides: linux-firmware
 Replaces: 
 Conflicts: 
 Description: Binary firmware for various drivers in the Linux kernel

## firmware-free 3.4+apricot

=== debian/changelog ===
firmware-free (3.4+apricot) unstable; urgency=medium

  * Suppress lintian warning due to unusual location of copyright file
  * debian/control: Allow debhelper to add dependencies through
    ${misc:Depends}
  * debian/control: Update Standards-Version to 3.9.5; no changes needed
  * Adjust for migration to git:
    - Add .gitignore file
    - debian/control: Update Vcs-* fields
  * Change source format to 3.0 (native) so that .git directory is excluded
    by default
  * Update to linux-support 4.1.0-2

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 16 Aug 2015 17:49:00 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>, Frederik Schüler <fs@debian.org>, Steve Langasek <vorlon@debian.org>, dann frazier <dannf@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
 Standards-Version: 3.9.5
-Build-Depends: debhelper (>= 5), python-configparser
+Build-Depends: debhelper (>= 5)
 Vcs-Git: https://anonscm.debian.org/git/kernel/firmware-free.git
 Vcs-Browser: https://anonscm.debian.org/cgit/kernel/firmware-free.git
 
@@ -12,7 +12,6 @@
 Architecture: all
 Depends: ${misc:Depends}
 Suggests: initramfs-tools
-Provides: linux-firmware
 Replaces: 
 Conflicts: 
 Description: Binary firmware for various drivers in the Linux kernel

## firmware-free 20200122

=== debian/changelog ===
firmware-free (20200122-1) unstable; urgency=medium

  * New upstream version:
    - usbdux: usbduxsigma: Changed address and updated date
    - usbdux: Makefile_dux: as31 compile no longer needed
    - usbdux: usbduxsigma: changed firmware from ADC polling to IRQ processing
    - usbdux: usbduxsigma: contact info updated
    - usbdux: usbduxsigma: added soft interval mode in the firmware
    - usbdux: usbduxsigma: added digital IO read
    - usbdux: usbduxsigma: fixed timing issues between ADC and DAC

  [ Ben Hutchings ]
  * Convert to a non-native package with linux-firmware.git as upstream
  * Add bug presubj message directing users to report driver bugs against
    the appropriate package
  * debian/bin: Use Python 3 (as assumed by linux-support-4.2.0-1 onward)
  * check_upstream.py: Report possibly non-free or undistributable files that
    are not excluded
  * check_upstream.py: Recognise GPLv3 and GPL dual-licenced files
  * check_upstream.py: Reimplement check for unpackaged firmware
  * Add AppStream metadata to all packages containing firmware blobs
  * debian/control: Remove everyone else from Uploaders field, since no-one
    else has actually uploaded this
  * debian/control: Point Vcs URLs to Salsa
  * Move AppStream metainfo to /usr/share/metainfo
  * debian/bin/gencontrol.py: Set encoding to UTF-8 globally
  * debian/bin/gencontrol.py: Sort list of symlink names for each blob
  * debian/*.metainfo.xml: Remove line breaks from summary
  * debian/*.metainfo.xml: Replace hyphens with underscores in id
  * Use debhelper compatibility level 9
  * Use dpkg-trigger directly to trigger update-initramfs
  * debian/rules: Add missing dependencies for *-{arch,indep} targets
  * debian/rules: Do not run gencontrol.py on every changelog change
  * debian/rules: Run gencontrol.py when any template is changed
  * copyright: Replace vague text from WHENCE with machine-readable copyright
    file
  * Update to linux-support 5.4.0-3
  * debian/control: Set Rules-Requires-Root: no
  * debian/control: Update Standards-Version to 4.5.0
  * debian/source/options: Delete redundant compression setting; satisfy
    lintian
  * debian/copyright: Metadata for AppStream is under CC0-1.0
  * debian/copyright: GPLs allow only verbatim copying of themselves
  * debian/upstream/: Add upstream signing key
  * lintian: Override false positive debian-watch-could-verify-download
    (see #950277)

  [ dann frazier ]
  * debian/control: Remove myself from Uploaders field

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 01 Feb 2020 17:10:12 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: kernel
 Priority: optional
 Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
-Uploaders: Bastian Blank <waldi@debian.org>, Frederik Schüler <fs@debian.org>, Steve Langasek <vorlon@debian.org>, dann frazier <dannf@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
-Standards-Version: 3.9.5
-Build-Depends: debhelper (>= 5)
-Vcs-Git: https://anonscm.debian.org/git/kernel/firmware-free.git
-Vcs-Browser: https://anonscm.debian.org/cgit/kernel/firmware-free.git
+Uploaders: Ben Hutchings <ben@decadent.org.uk>
+Standards-Version: 4.5.0
+Build-Depends: debhelper (>= 9), python3
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/kernel-team/firmware-free
+Vcs-Git: https://salsa.debian.org/kernel-team/firmware-free.git
 
 Package: firmware-linux-free
 Architecture: all
@@ -48,6 +49,6 @@
   * USB-DUX firmware (usbdux_firmware.bin)
   * USB-DUXfast firmware (usbduxfast_firmware.bin)
   * USB-DUXsigma firmware (usbduxsigma_firmware.bin)
-Multi-Arch: ${firmware:Multi-Arch}
 Homepage: http://git.kernel.org/?p=linux/kernel/git/firmware/linux-firmware.git
+Multi-Arch: foreign

=== debian/rules ===
#!/usr/bin/make -f
SHELL := sh -e
SOURCE := $(shell dpkg-parsechangelog -SSource)
VERSION := $(shell dpkg-parsechangelog -SVersion)
VERSION_UPSTREAM := $(shell echo "$(VERSION)" | sed -e 's,-[^-]*$$,,')
VERSION_BINNMU := $(shell echo "$(VERSION)" | sed -rne 's,.*\+b([0-9]+)$$,\1,p')
VERSION_SOURCE := $(patsubst %+b$(VERSION_BINNMU),%,$(VERSION))

include debian/rules.defs

GENCONTROL = debian/bin/gencontrol.py

# Nothing to build
build-indep build-arch build: debian/control

clean: debian/control
	dh_testdir
	rm -rf debian/build debian/lib/python/__pycache__
	dh_clean

binary-indep: build-indep
	dh_testdir
	$(MAKE) -f debian/rules.gen binary-indep

binary-arch: build-arch

binary:	binary-indep binary-arch

CONTROL_FILES = debian/build/version-info $(wildcard debian/templates/*.in)
CONTROL_FILES += debian/bin/gencontrol.py debian/config/defines $(wildcard debian/config/*/defines) $(wildcard debian/config/*/copyright) $(wildcard debian/config/*/LICENSE*)

# debian/bin/gencontrol.py uses debian/changelog as input, but the
# output only depends on the source name and version.  To avoid
# frequent changes to debian/control.md5sum, include only those fields
# in the checksum.
debian/build/version-info: debian/changelog
	mkdir -p $(@D)
	printf >$@ 'Source: %s\nVersion: %s\n' $(SOURCE) $(VERSION_SOURCE)

debian/control debian/rules.gen: $(GENCONTROL) $(CONTROL_FILES)
ifeq ($(wildcard debian/control.md5sum),)
	$(MAKE) -f debian/rules debian/control-real
else
	md5sum --check debian/control.md5sum --status || \
		$(MAKE) -f debian/rules debian/control-real
endif

debian/control-real: $(GENCONTROL) $(CONTROL_FILES)
	$(GENCONTROL) /usr/src/linux-support-$(KERNELVERSION)
	md5sum $^ > debian/control.md5sum
	@echo
	@echo This target is made to fail intentionally, to make sure
	@echo that it is NEVER run during the automated build. Please
	@echo ignore the following error, the debian/control file has
	@echo been generated SUCCESSFULLY.
	@echo
	exit 1

DIR_ORIG = ../orig/$(SOURCE)-$(VERSION_UPSTREAM)
TAR_ORIG_NAME = $(SOURCE)_$(VERSION_UPSTREAM).orig.tar.xz
TAR_ORIG = $(firstword $(wildcard ../$(TAR_ORIG_NAME)) $(wildcard ../orig/$(TAR_ORIG_NAME)))

orig: $(DIR_ORIG)
	rsync --delete --exclude /debian --exclude /.git --link-dest=$(DIR_ORIG)/ -a $(DIR_ORIG)/ .
	QUILT_PATCHES='$(CURDIR)/debian/patches' QUILT_PC=.pc quilt push --quiltrc - -a -q --fuzz=0

$(DIR_ORIG):
ifeq ($(TAR_ORIG),)
	$(error Cannot find orig tarball $(TAR_ORIG_NAME))
else
	mkdir -p ../orig
	tar -C ../orig -xaf $(TAR_ORIG)
endif

maintainerclean:
	-rm debian/control debian/control.md5sum debian/rules.gen
	rm -f debian/*.bug-presubj
	-rm debian/*.copyright
	-rm debian/*.hook.*
	rm -f debian/*.metainfo.xml
	-rm debian/*.preinst
	-rm debian/*.postinst
	-rm debian/*.templates

.PHONY: clean build-indep build-arch build binary-indep binary-arch binary

## firmware-free 20200122-1%2B8.0trisquel3

=== debian/changelog ===
firmware-free (20200122-1+8.0trisquel3) flidas; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 30 Mar 2020 17:46:06 +0000

## firmware-free 20200122-1%2B9.0trisquel4

=== debian/changelog ===
firmware-free (20200122-1+9.0trisquel4) etiona; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 30 Mar 2020 17:47:05 +0000

## firmware-free 20200122-1%2B10.0trisquel4

=== debian/changelog ===
firmware-free (20200122-1+10.0trisquel4) nabia; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 22 Jan 2021 19:41:50 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 Uploaders: Ben Hutchings <ben@decadent.org.uk>
 Standards-Version: 4.5.0
-Build-Depends: debhelper (>= 9), python3
+Build-Depends: debhelper (>= 9), python-configparser
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/kernel-team/firmware-free
 Vcs-Git: https://salsa.debian.org/kernel-team/firmware-free.git
@@ -13,6 +13,7 @@
 Architecture: all
 Depends: ${misc:Depends}
 Suggests: initramfs-tools
+Provides: linux-firmware
 Replaces: 
 Conflicts: 
 Description: Binary firmware for various drivers in the Linux kernel

## firmware-free 20200122-1%2B11.0trisquel4

=== debian/changelog ===
firmware-free (20200122-1+11.0trisquel4) aramo; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 25 Jun 2022 19:29:13 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 Uploaders: Ben Hutchings <ben@decadent.org.uk>
 Standards-Version: 4.5.0
-Build-Depends: debhelper (>= 9), python-configparser
+Build-Depends: debhelper (>= 9)
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/kernel-team/firmware-free
 Vcs-Git: https://salsa.debian.org/kernel-team/firmware-free.git

## firmware-free 20240610

=== debian/changelog ===
firmware-free (20240610-1~mx23ahs) mx; urgency=medium

  * Rebuild for MX Linux.
  * d/rules.def: use linux-support 6.9.7 that's in AHS.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 24 Jul 2024 18:27:55 -0700

firmware-free (20240610-1) unstable; urgency=medium

  [ Bastian Germann ]
  * Build av7110, dsp56k, isci, and usbdux from source (see #890601)
  * Remove carl9170 firmware and recommend the package containing it
    (Closes: #1073525)

  [ Ben Hutchings ]
  * Update to linux-support 6.8.12
  * d/copyright: Exclude carl9170 firmware from upstream source
  * New upstream version; no functional changes

 -- Ben Hutchings <benh@debian.org>  Mon, 17 Jun 2024 00:01:17 +0200

firmware-free (20200122-4) unstable; urgency=medium

  * Update to linux-support 6.6.15
  * Add myself to Uploaders

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 18 Feb 2024 20:56:32 +0100

firmware-free (20200122-3) experimental; urgency=medium

  * Update to linux-support 6.5.0-4
  * d/rules.real: Run dh_movetousr if available

 -- Ben Hutchings <benh@debian.org>  Fri, 24 Nov 2023 23:41:14 +0000

firmware-free (20200122-2) unstable; urgency=medium

  [ Ben Hutchings ]
  * d/control: Use my debian.org email in Uploaders field
  * d/salsa-ci.yml: Add CI configuration for salsa.debian.org
    - d/rules: Add linux-support-name target to show the name of the
      linux-support dependency
    - d/bin/gbp-postexport-hook: Add gbp hook to run gencontrol.py etc.
  * d/b/gencontrol.py: Sync with firmware-nonfree
  * Add debian/README.source based on the text for firmware-nonfree
  * d/t/control.binary.in: Add Breaks, Provides, and Recommends fields
  * d/l/p/config.py: Separate schemas for top-level and package config
  * debian/bin: Add update-modinfo script to maintain cache of module info
  * Add module info from linux 6.4.0-3 on amd64
  * debian/bin/gencontrol.py: Include modaliases in AppStream metadata
  * d/bin/gencontrol.py: Make debian/rules.gen reproducible
  * d/rules, d/rules.real: Sync with firmware-nonfree
  * Update to linux-support 6.4.0-3
  * d/copyright: Fix ordering of paragraph for my upstream copyrights
  * Use debhelper 13
  * linux-free: Delete old text from description that's now formatted wrongly
  * d/t/metainfo.xml.in: Fix summary text

  [ Cyril Brulebois ]
  * Update to the new linux-support API:
     - Replace self.templates[foo] with self.templates.get*(foo),
       merging the self.process_package() substitution in passing.
     - Replace makefile.add() with makefile.add_cmds().
     - Make Template inherit from _ControlFileDict, and use OrderedDict to
       define its fields. Use PackageDescriptionBase directly for the
       Description.
     - Simplify Templates, only adding a get_templates_control() method to
       the base class.
     - Use get_templates_control() and an append() to include the license
       in the templates.
     - Avoid KeyError during substitutions by renaming @?variable@ into
       @variable@, listing each such variable as optional (so that the
       placeholder gets replaced with an empty string if that variable is
       not set in the config).

  [ Diederik de Haas ]
  * d/patches/gitignore: Add DEP-3 header
  * d/README.source: Expand steps to regenerate debian/control

  [ John Scott ]
  * Recommend firmware-ath9k-htc for its separately-packaged free firmware
    (Closes: #900171)

 -- Ben Hutchings <benh@debian.org>  Sun, 20 Aug 2023 21:56:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,31 @@
 Source: firmware-free
 Section: kernel
 Priority: optional
-Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
-Uploaders: Ben Hutchings <ben@decadent.org.uk>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+Uploaders: Ben Hutchings <benh@debian.org>, Salvatore Bonaccorso <carnil@debian.org>
 Standards-Version: 4.5.0
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper-compat (= 13), a56, as31, gcc-arm-linux-gnueabi
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/kernel-team/firmware-free
 Vcs-Git: https://salsa.debian.org/kernel-team/firmware-free.git
+XSBC-Original-Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 
 Package: firmware-linux-free
 Architecture: all
+Provides: 
 Depends: ${misc:Depends}
+Recommends: firmware-carl9170, firmware-ath9k-htc
 Suggests: initramfs-tools
-Provides: linux-firmware
 Replaces: 
+Breaks: 
 Conflicts: 
+Multi-Arch: foreign
 Description: Binary firmware for various drivers in the Linux kernel
- This package contains firmware which was previously included in the Linux
+ This package provides firmware which was previously included in the Linux
  kernel and which is compliant with the Debian Free Software Guidelines.
- .
- Most firmware previously included in the Linux kernel is non-free and has
- been moved to the firmware-linux-nonfree package.
  .
  Contents:
   * AV7110 DVB card firmware (av7110/bootcode.bin)
-  * Atheros AR9170 free firmware for use with carl9170 (carl9170-1.fw)
   * 3Com Megahertz 3CCFEM556 CIS fix (cis/3CCFEM556.cis)
   * 3Com Megahertz 3CXEM556 CIS fix (cis/3CXEM556.cis)
   * Advantech COMpad-32/85 CIS fix (cis/COMpad2.cis)
@@ -51,5 +51,4 @@
   * USB-DUXfast firmware (usbduxfast_firmware.bin)
   * USB-DUXsigma firmware (usbduxsigma_firmware.bin)
 Homepage: http://git.kernel.org/?p=linux/kernel/git/firmware/linux-firmware.git
-Multi-Arch: foreign

=== debian/rules ===
--- 
+++ 
@@ -11,10 +11,23 @@
 GENCONTROL = debian/bin/gencontrol.py
 
 # Nothing to build
-build-indep build-arch build: debian/control
+build-arch: debian/control
+
+build-indep: debian/control
+	$(MAKE) -C av7110
+	$(MAKE) -C dsp56k
+	$(MAKE) -C isci
+	$(MAKE) -C usbdux -f Makefile_dux
+	cp usbdux/usbdux*_firmware.bin .
+
+build: build-arch build-indep
 
 clean: debian/control
 	dh_testdir
+	$(MAKE) -C av7110 clean
+	$(MAKE) -C dsp56k clean
+	$(MAKE) -C isci clean
+	$(MAKE) -C usbdux -f Makefile_dux clean
 	rm -rf debian/build debian/lib/python/__pycache__
 	dh_clean
 
@@ -27,7 +40,7 @@
 binary:	binary-indep binary-arch
 
 CONTROL_FILES = debian/build/version-info $(wildcard debian/templates/*.in)
-CONTROL_FILES += debian/bin/gencontrol.py debian/config/defines $(wildcard debian/config/*/defines) $(wildcard debian/config/*/copyright) $(wildcard debian/config/*/LICENSE*)
+CONTROL_FILES += debian/bin/gencontrol.py debian/config/defines $(wildcard debian/config/*/defines) debian/modinfo.json
 
 # debian/bin/gencontrol.py uses debian/changelog as input, but the
 # output only depends on the source name and version.  To avoid
@@ -75,11 +88,14 @@
 maintainerclean:
 	-rm debian/control debian/control.md5sum debian/rules.gen
 	rm -f debian/*.bug-presubj
-	-rm debian/*.copyright
 	-rm debian/*.hook.*
 	rm -f debian/*.metainfo.xml
 	-rm debian/*.preinst
 	-rm debian/*.postinst
 	-rm debian/*.templates
 
-.PHONY: clean build-indep build-arch build binary-indep binary-arch binary
+linux-support-name:
+	@echo linux-support-$(KERNELVERSION)
+
+.PHONY: clean build-indep build-arch build binary-indep binary-arch binary \
+	linux-support-name

## firmware-free 20241210

=== debian/changelog ===
firmware-free (20241210-3) unstable; urgency=medium

  * Build CIS files and keyspan_pda firmware from source (Closes: #890601):
    - d/control: Build-Depend on cis-tools, linux-misc-tools
    - d/rules: Clean and build in cis and keyspan_pda directories
  * d/b/gbp-postexport-hook: Clean up temp files, to work with current Salsa CI
  * d/copyright: Add the verbatim-FSF license text
  * d/copyright: Delete unreferenced license texts
  * d/rules: Run dedup-firmware.sh after copy-firmware.sh
  * d/rules: Clean debian/lib/python/debian_linux/__pycache__
  * d/b/check_upstream.py: Recognise "MIT" licence in WHENCE
  * Unconditionally install firmware under /usr/lib/firmware
  * Refactor firmware installation to use dh_install
  * Add metainfo.xml files to dh_install file lists
  * Replace recursive makefiles with dh command
  * d/rules: Fix maintainerclean rule and add clean-generated rule
  * d/s/lintian-overrides: Override file-without-copyright-information warning
    for license texts
  * d/rules: Only deduplicate files that are packaged
  * d/rules: Check for broken symlinks among installed firmware
  * d/rules: Clean debian/build/install in the debian/control-real rule
  * d/bin/gencontrol.py: handle Depends in addition to other fields
  * d/watch: Convert to version 5 format

 -- Ben Hutchings <benh@debian.org>  Wed, 18 Feb 2026 16:59:06 +0100

firmware-free (20241210-2) unstable; urgency=medium

  * Copy debian_linux Python package from src:linux
  * Use local copy of debian_linux Python package instead of linux-support
  * d/b/release-update: Copy script from src:firmware-nonfree
  * linux-free: Use specific file patterns to make release-update work
  * d/b/gencontrol.py: Change template substitution to allow for Jinja2
    templates
  * d/templates: Convert metainfo.xml template to Jinja2 format
  * Fix AppStream metadata issues:
    - Remove 'package' from component IDs so they are <= 40 chars long
    - Move short description to <summary> and long description to <description>
    - Add homepage URL
    - Change filenames to match component IDs
  * Update upstream URLs to point to repository on gitlab.com

 -- Ben Hutchings <benh@debian.org>  Fri, 25 Apr 2025 03:33:40 +0200

firmware-free (20241210-1) unstable; urgency=medium

  [ Ben Hutchings ]
  * d/copyright: Add paragraph for contrib/templates/debian.*
  * d/copyright: Include copy-firmware.sh under GPL-2
  * New upstream version; no functional changes
  * Revert "copy-firmware.sh: call ./check_whence.py before parsing the file"
  * Add WHENCE file
  * d/b/gbp-postexport-hook: Apply patches before invoking debian/rules
  * debian/rules, debian/bin/gencontrol.py: Run copy-firmware.sh to create
    symlinks
  * d/b/gencontrol.py: Remove support for encoding file version in filename
  * d/b/gencontrol.py: Remove check for .svn directories
  * d/b/gencontrol.py: Use path objects where possible
  * d/b/{gencontrol,check_upstream}.py: Support wildcards in file lists
  * d/config: Use wildcard in file list
  * Build-Depend on rdfind, needed by new version of copy-firmware.sh
  * d/b/gencontrol.py: Delete unused files_real template variable
  * Remove file lists from package descriptions
  * d/b/check_upstream.py: Handle missing Licen[cs]e field
  * d/b/check_upstream.py: Treat .txt files as being source code
  * d/b/check_upstream.py: Match another wording of permission to redistribute
  * d/b/update-modinfo: Support reading from multiple kernel directories
  * d/b/gencontrol.py: Stop using unnecessary PackageDescription subclass
  * Use linux-support bundle API to replace much custom logic
  * d/watch: Tighten tag regexp to work with upstream as a remote
  * d/salsa-ci.yml: Use uscan option to speed up Git export with Files-Excluded
  * Update to linux-support-6.12.5

  [ Diederik de Haas ]
  * d/bin/update-modinfo: Add compressed modules support
  * d/README.source: Update description wrt upstream

  [ Dmitry Baryshkov ]
  * d/bin/check_upstream: allow Apache-2.0 licence

 -- Ben Hutchings <benh@debian.org>  Thu, 19 Dec 2024 22:11:31 +0100

=== debian/control ===
Source: firmware-free
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Ben Hutchings <benh@debian.org>, Salvatore Bonaccorso <carnil@debian.org>
Standards-Version: 4.5.0
Build-Depends: a56, as31, cis-tools, debhelper-compat (= 13), gcc-arm-linux-gnueabi, linux-misc-tools, rdfind
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/kernel-team/firmware-free
Vcs-Git: https://salsa.debian.org/kernel-team/firmware-free.git

Package: firmware-linux-free
Architecture: all
Depends: ${misc:Depends}
Recommends: firmware-carl9170, firmware-ath9k-htc
Suggests: initramfs-tools
Multi-Arch: foreign
Description: Binary firmware for various drivers in the Linux kernel
 This package provides firmware which was previously included in the Linux
 kernel and which is compliant with the Debian Free Software Guidelines.
Homepage: https://gitlab.com/kernel-firmware/linux-firmware

=== debian/rules ===
--- 
+++ 
@@ -6,38 +6,49 @@
 VERSION_BINNMU := $(shell echo "$(VERSION)" | sed -rne 's,.*\+b([0-9]+)$$,\1,p')
 VERSION_SOURCE := $(patsubst %+b$(VERSION_BINNMU),%,$(VERSION))
 
-include debian/rules.defs
-
 GENCONTROL = debian/bin/gencontrol.py
 
-# Nothing to build
-build-arch: debian/control
+binary binary-arch binary-indep build build-arch build-indep clean: debian/control
+	dh $@
 
-build-indep: debian/control
+override_dh_auto_build:
 	$(MAKE) -C av7110
+	$(MAKE) -C cis
 	$(MAKE) -C dsp56k
 	$(MAKE) -C isci
+	$(MAKE) -C keyspan_pda
 	$(MAKE) -C usbdux -f Makefile_dux
 	cp usbdux/usbdux*_firmware.bin .
 
-build: build-arch build-indep
+override_dh_auto_test:
+	:
 
-clean: debian/control
-	dh_testdir
+CLEAN_PATTERNS := debian/build debian/lib/python/__pycache__ debian/lib/python/debian_linux/__pycache__ $$(find debian -maxdepth 1 -type d -name 'firmware-*') debian/*.substvars
+
+override_dh_auto_clean:
 	$(MAKE) -C av7110 clean
+	$(MAKE) -C cis clean
 	$(MAKE) -C dsp56k clean
 	$(MAKE) -C isci clean
+	$(MAKE) -C keyspan_pda clean
 	$(MAKE) -C usbdux -f Makefile_dux clean
-	rm -rf debian/build debian/lib/python/__pycache__
-	dh_clean
+	rm -rf $(CLEAN_PATTERNS)
 
-binary-indep: build-indep
-	dh_testdir
-	$(MAKE) -f debian/rules.gen binary-indep
+override_dh_auto_install:
+	./copy-firmware.sh -v debian/build/install
 
-binary-arch: build-arch
+override_dh_installdocs:
+	dh_installdocs -XTODO
 
-binary:	binary-indep binary-arch
+execute_after_dh_install:
+# Deduplicate firmware files within each binary package
+	cd debian/build && \
+	for dir in ../firmware-*/usr/lib/firmware; do \
+		../../dedup-firmware.sh "$$dir"; \
+	done
+# Check for any broken symlinks.
+	! find debian/firmware-*/usr/lib/firmware -xtype l \
+	| grep .
 
 CONTROL_FILES = debian/build/version-info $(wildcard debian/templates/*.in)
 CONTROL_FILES += debian/bin/gencontrol.py debian/config/defines $(wildcard debian/config/*/defines) debian/modinfo.json
@@ -50,7 +61,7 @@
 	mkdir -p $(@D)
 	printf >$@ 'Source: %s\nVersion: %s\n' $(SOURCE) $(VERSION_SOURCE)
 
-debian/control debian/rules.gen: $(GENCONTROL) $(CONTROL_FILES)
+debian/control: $(GENCONTROL) $(CONTROL_FILES)
 ifeq ($(wildcard debian/control.md5sum),)
 	$(MAKE) -f debian/rules debian/control-real
 else
@@ -59,7 +70,11 @@
 endif
 
 debian/control-real: $(GENCONTROL) $(CONTROL_FILES)
-	$(GENCONTROL) /usr/src/linux-support-$(KERNELVERSION)
+# We currently need to run copy-firmware.sh to get a complete list of
+# files to be installed.
+	rm -rf debian/build/install
+	./copy-firmware.sh debian/build/install
+	$(GENCONTROL)
 	md5sum $^ > debian/control.md5sum
 	@echo
 	@echo This target is made to fail intentionally, to make sure
@@ -85,17 +100,24 @@
 	tar -C ../orig -xaf $(TAR_ORIG)
 endif
 
-maintainerclean:
-	-rm debian/control debian/control.md5sum debian/rules.gen
-	rm -f debian/*.bug-presubj
-	-rm debian/*.hook.*
-	rm -f debian/*.metainfo.xml
-	-rm debian/*.preinst
-	-rm debian/*.postinst
-	-rm debian/*.templates
+clean-generated:
+	rm -rf $(CLEAN_PATTERNS)
+# We cannot use dh_clean here because it requires debian/control to exist
+	rm -rf debian/.debhelper debian/*.debhelper* debian/debhelper-build-stamp debian/files debian/generated.*
+	rm -f \
+		debian/control \
+		debian/control.md5sum \
+		debian/*.bug-presubj \
+		debian/*.install \
+		debian/*.metainfo.xml \
+		debian/*.postinst \
+		debian/*.postrm \
+		debian/*.preinst \
+		debian/*.prerm \
+		debian/*.templates
 
-linux-support-name:
-	@echo linux-support-$(KERNELVERSION)
+maintainerclean: clean-generated
+	rm -rf $(filter-out debian .git, $(wildcard * .[^.]*))
 
 .PHONY: clean build-indep build-arch build binary-indep binary-arch binary \
-	linux-support-name
+	clean-generated maintainerclean

=== debian/watch ===
Version: 5

Source: https://gitlab.com/kernel-firmware/linux-firmware.git
Matching-Pattern: refs/tags/([0-9]*)
Mode: git
Pgp-Mode: gittag

## firmware-free 20241210-2trisquel5

=== debian/changelog ===
firmware-free (20241210-2trisquel5) ecne; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 05 May 2025 06:44:05 +0000

=== debian/control ===
Source: firmware-free
Section: kernel
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Uploaders: Ben Hutchings <benh@debian.org>, Salvatore Bonaccorso <carnil@debian.org>
Standards-Version: 4.5.0
Build-Depends: debhelper-compat (= 13), a56, as31, gcc-arm-linux-gnueabi, rdfind
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/kernel-team/firmware-free
Vcs-Git: https://salsa.debian.org/kernel-team/firmware-free.git

Package: firmware-linux-free
Architecture: all
Depends: ${misc:Depends}
Recommends: firmware-carl9170, firmware-ath9k-htc
Suggests: initramfs-tools
Provides: linux-firmware
Multi-Arch: foreign
Description: Binary firmware for various drivers in the Linux kernel
 This package provides firmware which was previously included in the Linux
 kernel and which is compliant with the Debian Free Software Guidelines.
Homepage: https://gitlab.com/kernel-firmware/linux-firmware
